Subject: bug#25361: info_TEXINFOS cannot be set conditionally?

From: Benno Schulenberg <[email-masked]>
Date: Wed, 04 Jan 2017 21:35:53 +0100

Hi,

What I would like to achieve is that the doc/Makefile that is
the result of ./configure contains rules that only try to build
nano.info and nano.html from nano.texi /if/ makeinfo is available,
and only tries to install nano.info and nano.html if /either/ they
already exist or makeinfo is available.  I've tried by putting a
HAVE_MAKINFO around the info_TEXINFOS = nano.texi defintion, but
that doesn't work.  It results in the message below, and since it
says to contact bug-automake, here is the message:

make[2]: Entering directory '/home/ben/Sources/NANO/doc'
 cd .. && /bin/sh /home/ben/Sources/NANO/missing automake-1.15 --gnu doc/Makefile
doc/Makefile.am:27: warning: automake does not support info_TEXINFOS being defined conditionally
automake-1.15: error: undefined condition 'TRUE' for 'info_TEXINFOS'
automake-1.15: info_TEXINFOS: 
automake-1.15:   {
automake-1.15:     HAVE_MAKEINFO => {
automake-1.15:       type: =
automake-1.15:       where: doc/Makefile.am:27:
automake-1.15:       comment: 
automake-1.15:       value: nano.texi
automake-1.15:       owner: Makefile
automake-1.15:     }
automake-1.15:   }
automake-1.15: 
automake-1.15: Please contact <[email-masked]>.
 at /usr/share/automake-1.15/Automake/Channels.pm line 662.
	Automake::Channels::msg("automake", "", "undefined condition 'TRUE' for 'info_TEXINFOS'\x{a}info_TEXINFOS:"...) called at /usr/share/automake-1.15/Automake/ChannelDefs.pm line 212
	Automake::ChannelDefs::prog_error("undefined condition 'TRUE' for 'info_TEXINFOS'\x{a}info_TEXINFOS:"...) called at /usr/share/automake-1.15/Automake/Item.pm line 95
	Automake::Item::rdef(Automake::Variable=HASH(0x9499ba0), Automake::Condition=HASH(0x91184d0)) called at /usr/bin/automake-1.15 line 7588
	Automake::require_file_with_macro(Automake::Condition=HASH(0x91184d0), "info_TEXINFOS", 0, "texinfo.tex") called at /usr/bin/automake-1.15 line 3417
	Automake::handle_texinfo_helper(Automake::Variable=HASH(0x9499ba0)) called at /usr/bin/automake-1.15 line 3439
	Automake::handle_texinfo() called at /usr/bin/automake-1.15 line 7848
	Automake::generate_makefile("doc/Makefile.am", "doc/Makefile.in") called at /usr/bin/automake-1.15 line 8133
	Automake::handle_makefile("doc/Makefile.in") called at /usr/bin/automake-1.15 line 8145
	Automake::handle_makefiles_serial() called at /usr/bin/automake-1.15 line 8277
make[2]: *** [Makefile:412: Makefile.in] Error 255

Any suggestions as to how I could achieve the desired relaxed
behavior?

Benno

-- 
http://www.fastmail.com - Email service worth paying for. Try it for free